package com.bocloud.ims.interfaces.resource;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.ClusterNode;

import java.util.List;

/**
 * 集群节点接口
 *
 * @author weiwei
 * @version 1.0
 * @since 2016.12.28
 */
public interface ClusterNodeService {

    BocloudResult<GridBean<ClusterNode>> list(Pager pager);

    BocloudResult<ClusterNode> detail(Long id);

    BocloudResult<List<ClusterNode>> condition(String condition);

    BocloudResult<ClusterNode> create(ClusterNode clusterNode, RequestContext context);

    BocloudResult remove(Long id, RequestContext context);

}
